%define version 4.4.0
%define name php4-gtk
%define rversion 1.0.2

Summary:	GTK+ toolkit for php
Name:		%{name}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		Development/Other
License:	LGPL
URL:		http://gtk.php.net/
Source0:	php-gtk-%{rversion}.tar.bz2
Patch0:		generator.patch.bz2
BuildRequires:	php4-devel
BuildRequires:	gtk+1.2-devel >= 1.2.6
BuildRequires:	gdk-pixbuf-devel
BuildRequires:  libgtk+extra-devel
#BuildRequires:  libGtkScintilla-devel
BuildRequires:	libglade-devel
BuildRequires:	php4-cli
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
PHP-GTK is an extension for PHP programming language 
that implements language bindings for GTK+ toolkit. 
It provides an object-oriented interface to GTK+ classes 
and functions and greatly simplifies writing client side 
cross-platform GUI applications.

%prep

%setup -q -n php_gtk-%{rversion}
%patch0

# php4 fix
perl -pi -e "s|/bin/php|/bin/php4|g" config.m4
perl -pi -e "s|4\.3\*|4\.4\*|g" config.m4

%build
export WANT_AUTOCONF_2_5=1

php4ize

rm -f configure; libtoolize --copy --force; aclocal-1.7; autoconf

#./buildconf
%configure2_5x \
	--enable-imlib \
	--enable-extra \
	--enable-gtkpixbuf \
	--disable-spaned
# undefined symbol: gtk_shpaned_new when enabling spaned
#	--enable-scintilla \
# undefined symbol: gtk_search_in_target when enabling scintilla

# parallell make won't work here...
make

chrpath -d modules/php_gtk.so

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -m0755 modules/php_gtk.so %{buildroot}%{_libdir}/php4/extensions/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc test NEWS README TODO AUTHORS 
%{_libdir}/php4/extensions/php_gtk.so

%changelog
* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.0.2-1mdk
- 1.0.2
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_1.0.1-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.0.1-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_1.0.1-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.1-4mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.1-3mdk
- rebuilt against a non hardened-php aware php lib

* Sat Jan 15 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.1-2mdk
- rebuild due to hardened-php-0.2.6
- cleanups

* Thu Dec 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_1.0.1-1mdk
- rebuild for php 4.3.10

* Thu Aug 11 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.8_1.0.1-2mdk
- Enable additionnal modules

* Wed Aug 11 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.8_1.0.1-1mdk
- 1.0.1

* Sat Jul 24 2004 Pascal Terjan <pterjan@mandrake.org> 4.3.8_1.0.0-1mdk
- built for php 4.3.8
- remove rpath 

* Sun Jun 20 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.7_1.0.0-1mdk
- built for php 4.3.7
- misc spec file fixes

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.3.4_1.0.0-1mdk
- built for php 4.3.4

* Fri Oct 24 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.0.0-1mdk
- 1.0.0

* Wed Oct 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.2-6mdk
- fix buildrequires

* Wed Oct 22 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.2-5mdk
- disable spaned
- add Requires php (thanks houpla)
- fix lib buildrequires

* Wed Apr 30 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.5.2-4mdk
- add BuildRequires php-cli

* Thu Feb 20 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-3mdk 
- from Pascal Terjan <CMoi@tuxfamily.org>
    - rebuild for new php
    - removed BuildRequire php-pear

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-2mdk
- rebuild for rpm and glibc

* Fri Nov 22 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.2-1mdk
- 0.5.2
- BuildRequires libglade-devel

* Sat Aug 24 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-2mdk
- from Pascal Terjan <CMoi@tuxfamily.org>
	- fix build

* Thu Aug 15 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.5.1-1mdk
- 1st mdk package
